# Bulk Unassign Search History Labels

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"Bulk Unassign Search History Labels"}
>
</Heading>

<MethodEndpoint
  method={"delete"}
  path={"/api/v2/workspaces/{workspace_id}/pipelines/{pipeline_id}/search_history/bulk/labels"}
  context={"endpoint"}
>
  
</MethodEndpoint>

Removes one or more labels from multiple search history records at once.

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"description":"Unique identifier of a pipeline.","in":"path","name":"pipeline_id","required":true,"schema":{"description":"Unique identifier of a pipeline.","format":"uuid","title":"Pipeline Id","type":"string"}},{"description":"Type the id of the workspace.","in":"path","name":"workspace_id","required":true,"schema":{"description":"Type the id of the workspace.","format":"uuid","title":"Workspace Id","type":"string"}}]}
>
  
</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={{"content":{"application/json":{"schema":{"description":"Request body for bulk assigning or removing labels on multiple search history records.","properties":{"labels":{"description":"List of label strings to add or remove.","items":{"type":"string"},"maxItems":50,"minItems":1,"title":"Labels","type":"array"},"query_ids":{"description":"List of search history query IDs to update.","items":{"format":"uuid","type":"string"},"maxItems":100,"minItems":1,"title":"Query Ids","type":"array"}},"required":["query_ids","labels"],"title":"BulkSearchHistoryLabelsRequest","type":"object"}}},"required":true}}
>
  
</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"204":{"description":"Successful Response"},"422":{"content":{"application/json":{"schema":{"properties":{"detail":{"items":{"properties":{"ctx":{"title":"Context","type":"object"},"input":{"title":"Input"},"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"title":"Location","type":"array"},"msg":{"title":"Message","type":"string"},"type":{"title":"Error Type","type":"string"}},"required":["loc","msg","type"],"title":"ValidationError","type":"object"},"title":"Detail","type":"array"}},"title":"HTTPValidationError","type":"object"}}},"description":"Validation Error"}}}
>
  
</StatusCodes>
